com.tibco.bpm.service.connector

## Class WorkListService

- java.lang.Object
- - com.tibco.bpm.service.connector.WorkListService

- All Implemented Interfaces:
    WorkListService

      public class WorkListService
      extends java.lang.Object
      implements WorkListService

  Provides access to the WorkListService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addCurrentResourceToView(long workListViewID)` Add the current resource to a Work List View
    `long` | `createWorkListView(java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic, com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)` Create a new Work List View for ALL resources
    `long` | `createWorkListView(java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic)` Create a new Work List View
    `long` | `createWorkListView(java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic, boolean getAllocated)` Allow boolean to specify if we want offered or allocated items
    `long` | `deleteCurrentResourceFromView(long workListViewID)` Delete the current resource from a Work List View
    `long` | `deleteWorkListView(long workListViewID)` Delete an existing Work List View
    `long` | `editWorkListView(long workListViewID, java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic, com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)` Edit an existing Work List View no entity is specified since the view is for ALL resources
    `long` | `editWorkListView(long workListViewID, java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic)` Edit an existing Work List View
    `long` | `editWorkListView(long workListViewID, java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic, boolean getAllocated)` edit worklist to allow either offered or allocated items to be returned
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems)` Retrieves a list of work items for an organisational entity, with the option to filter and sort the work list.
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getTotalCount)`
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getTotalCount, boolean getEnhancedAttributes)` TODO Describe this method
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getEditableWorkListViews(long startPos, long numberOfItems)` Get Editable Work List Views
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getEditableWorkListViews(long startPosition, long numberOfItems, int apiVersion)` Get Editable Work List Views
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getPublicWorkListViews(long startPosition, long numberOfItems)` Get Public Work List Views
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getPublicWorkListViews(long startPosition, long numberOfItems, int apiVersion)` Get Public Work List Views
    `com.tibco.n2.brm.api.OrderFilterCriteria` | `getResourceOrderFilterCriteria(java.lang.String resourceId)` Get the order and filter criteria for a particular resource.
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getViewsForResource(long startPos, long numberOfItems)` Get the Work List View for the current resource
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getViewsForResource(long startPosition, long numberOfItems, int apiVersion)` Get the Work List View for the current resource
    `com.tibco.n2.brm.api.ColumnDefinition[]` | `getWorkItemOrderFilter(short limitColumns)` Get a work item order & filter column list
    `com.tibco.n2.brm.api.ColumnDefinition[]` | `getWorkItemOrderFilter(short limitColumns, short apiVersion)` Get a work item order & filter column list
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems)` Retrieves a list of work items for an organisational entity, with the option to filter and sort the work list.
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getEnhancedAttributes)`
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getTotalCount, com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)`
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getTotalCount, com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired, boolean getEnhancedAttributes)` TODO Describe this method
    `com.tibco.n2.brm.api.GetWorkListItemsForGlobalDataResponseDocument.GetWorkListItemsForGlobalDataResponse` | `getWorkListItemsForGlobalData(long startPosition, long numberOfItems, java.lang.String[] globalDataRef, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria)` TODO Describe this method
    `com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse` | `getWorkListItemsForView(boolean getEnhancedAttributes, long workListViewID, long startPosition, long numberOfItems, boolean getTotalCount)` Get the Work List Items for a View
    `com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse` | `getWorkListItemsForView(long workListViewID, long startPosition, long numberOfItems, boolean getTotalCount)` Get the Work List Items for a View
    `com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse` | `getWorkListItemsForView(long workListViewID, long startPosition, long numberOfItems, boolean getTotalCount, boolean getAllocatedItems)` Get the Work List Items for a View
    `com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse` | `getWorkListItemsForView(long workListViewID, long startPosition, long numberOfItems, boolean getTotalCount, boolean getAllocatedItems, boolean getEnhancedAttributes)` TODO Describe this method
    `com.tibco.n2.brm.api.WorkListView` | `getWorkListViewDetails(long workListId, boolean lockView)` Get the full details of an existing Work List View
    `com.tibco.n2.brm.api.WorkListView` | `getWorkListViewDetails(long workListViewID, boolean lockView, int apiVersion)` Get the full details of an existing Work List View
    `com.tibco.n2.brm.api.WorkItemPreview[]` | `previewWorkItemFromList(com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.ObjectID[] workItemIDs, java.lang.String[] reqFields)` Get the order and filter criteria for a particular resource.
    `com.tibco.n2.brm.api.WorkItemPreview[]` | `previewWorkItemFromList(com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.ObjectID[] workItemIDs, java.lang.String[] reqFields, boolean requireWorkType)`
    `boolean` | `setResourceOrderFilterCriteria(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, java.lang.String resourceId)` Set the order and filter criteria for a particular resource.
    `long` | `unlockWorkListView(long workListViewID)` Unlock an existing Work List View

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getWorkListItems

          public com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                 com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                 long startPos,
                                                                                                                 long numberOfItems)
                                                                                                          throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                 com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                 com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                 com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                 com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      Retrieves a list of work items for an organisational entity, with the option to filter and sort the work list.
      Specified by:
        `getWorkListItems` in interface `WorkListService`
      Parameters:
        `orderFilterCriteria` - sorting and filtering criteria
        `entityId` - organisational entity details
        `startPos` - start position
        `numberOfItems` - number of items to return
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItems

          public com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                 com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                 long startPos,
                                                                                                                 long numberOfItems,
                                                                                                                 boolean getEnhancedAttributes)
                                                                                                          throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                 com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                 com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                 com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                 com.tibco.n2.brm.services.SecurityFault

      Specified by:
        `getWorkListItems` in interface `WorkListService`
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItems

          public com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                 com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                 long startPos,
                                                                                                                 long numberOfItems,
                                                                                                                 boolean getTotalCount,
                                                                                                                 com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)
                                                                                                          throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                 com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                 com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                 com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                 com.tibco.n2.brm.services.SecurityFault

      Specified by:
        `getWorkListItems` in interface `WorkListService`
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItems

          public com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                 com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                 long startPos,
                                                                                                                 long numberOfItems,
                                                                                                                 boolean getTotalCount,
                                                                                                                 com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired,
                                                                                                                 boolean getEnhancedAttributes)
                                                                                                          throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                 com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                 com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                 com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                 com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      TODO Describe this method
      Specified by:
        `getWorkListItems` in interface `WorkListService`
        `getEnhancedAttributes` - return new attributes 15-40
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getAllocatedWorkListItems

          public com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                          com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                          long startPos,
                                                                                                                          long numberOfItems)
                                                                                                                   throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                          com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                          com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                          com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                          com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      Retrieves a list of work items for an organisational entity, with the option to filter and sort the work list.
      Specified by:
        `getAllocatedWorkListItems` in interface `WorkListService`
      Parameters:
        `orderFilterCriteria` - sorting and filtering criteria
        `entityId` - organisational entity details
        `startPos` - start position
        `numberOfItems` - number of items to return
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getAllocatedWorkListItems

          public com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                          com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                          long startPos,
                                                                                                                          long numberOfItems,
                                                                                                                          boolean getTotalCount)
                                                                                                                   throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                          com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                          com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                          com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                          com.tibco.n2.brm.services.SecurityFault

      Specified by:
        `getAllocatedWorkListItems` in interface `WorkListService`
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getAllocatedWorkListItems

          public com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                          com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                          long startPos,
                                                                                                                          long numberOfItems,
                                                                                                                          boolean getTotalCount,
                                                                                                                          boolean getEnhancedAttributes)
                                                                                                                   throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                          com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                          com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                          com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                          com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      TODO Describe this method
      Specified by:
        `getAllocatedWorkListItems` in interface `WorkListService`
        `getEnhancedAttributes` - return new attributes 15-40
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkItemOrderFilter

          public com.tibco.n2.brm.api.ColumnDefinition[] getWorkItemOrderFilter(short limitColumns)
                                                                         throws com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Get a work item order & filter column list
      Specified by:
        `getWorkItemOrderFilter` in interface `WorkListService`
      Parameters:
        `limitColumns` - limit the number of columns returned
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getWorkItemOrderFilter

          public com.tibco.n2.brm.api.ColumnDefinition[] getWorkItemOrderFilter(short limitColumns,
                                                                                short apiVersion)
                                                                         throws com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Get a work item order & filter column list
      Specified by:
        `getWorkItemOrderFilter` in interface `WorkListService`
      Parameters:
        `limitColumns` - limit the number of columns returned
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### setResourceOrderFilterCriteria

          public boolean setResourceOrderFilterCriteria(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                        java.lang.String resourceId)
                                                 throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                        com.tibco.n2.brm.services.InternalServiceFault,
                                                        com.tibco.n2.brm.services.WorkItemOrderFault,
                                                        com.tibco.n2.brm.services.WorkItemFilterFault,
                                                        com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      Set the order and filter criteria for a particular resource.
      Specified by:
        `setResourceOrderFilterCriteria` in interface `WorkListService`
      Parameters:
        `orderFilterCriteria` - sorting and filtering criteria
        `resourceId` - the resource id
      Returns:
        boolean returns `true` if successful, otherwise `false`
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getResourceOrderFilterCriteria

          public com.tibco.n2.brm.api.OrderFilterCriteria getResourceOrderFilterCriteria(java.lang.String resourceId)
                                                                                  throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                         com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Get the order and filter criteria for a particular resource.
      Specified by:
        `getResourceOrderFilterCriteria` in interface `WorkListService`
      Parameters:
        `resourceId` - the resource
      Returns:
        OrderFilterCriteria returns the sorting and filtering criteria
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### previewWorkItemFromList

          public com.tibco.n2.brm.api.WorkItemPreview[] previewWorkItemFromList(com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                                                                com.tibco.n2.brm.api.ObjectID[] workItemIDs,
                                                                                java.lang.String[] reqFields)
                                                                         throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                com.tibco.n2.brm.services.WorkItemFault,
                                                                                com.tibco.n2.brm.services.InvalidVersionFault,
                                                                                com.tibco.n2.brm.services.InternalServiceFault,
                                                                                com.tibco.n2.brm.services.SecurityFault,
                                                                                com.tibco.n2.brm.services.InvalidEntityFault

      Description copied from interface: `WorkListService`
      Get the order and filter criteria for a particular resource.
      Specified by:
        `previewWorkItemFromList` in interface `WorkListService`
      Parameters:
        `entityID` - the entity ID
      Returns:
        WorkItemPreview returns the Work Item Preview array
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InvalidVersionFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`

    - #### createWorkListView

          public long createWorkListView(java.lang.String name,
                                         java.lang.String description,
                                         java.lang.String customData,
                                         com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                         com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                         com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                         com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                         java.lang.String owner,
                                         boolean bPublic)
                                  throws com.tibco.n2.brm.services.InternalServiceFault,
                                         com.tibco.n2.brm.services.SecurityFault,
                                         com.tibco.n2.brm.services.InvalidEntityFault,
                                         com.tibco.n2.brm.services.WorkItemFilterFault,
                                         com.tibco.n2.brm.services.WorkItemOrderFault

      Description copied from interface: `WorkListService`
      Create a new Work List View
      Specified by:
        `createWorkListView` in interface `WorkListService`
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`

    - #### createWorkListView

          public long createWorkListView(java.lang.String name,
                                         java.lang.String description,
                                         java.lang.String customData,
                                         com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                         com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                         com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                         java.lang.String owner,
                                         boolean bPublic,
                                         com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)
                                  throws com.tibco.n2.brm.services.InvalidEntityFault,
                                         com.tibco.n2.brm.services.WorkItemOrderFault,
                                         com.tibco.n2.brm.services.WorkItemFilterFault,
                                         com.tibco.n2.brm.services.SecurityFault,
                                         com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Create a new Work List View for ALL resources
      Specified by:
        `createWorkListView` in interface `WorkListService`
        `resourcesRequired` - Specifies what resources this view is for
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### createWorkListView

          public long createWorkListView(java.lang.String name,
                                         java.lang.String description,
                                         java.lang.String customData,
                                         com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                         com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                         com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                         com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                         java.lang.String owner,
                                         boolean bPublic,
                                         boolean getAllocated)
                                  throws com.tibco.n2.brm.services.InternalServiceFault,
                                         com.tibco.n2.brm.services.SecurityFault,
                                         com.tibco.n2.brm.services.InvalidEntityFault,
                                         com.tibco.n2.brm.services.WorkItemFilterFault,
                                         com.tibco.n2.brm.services.WorkItemOrderFault

      Description copied from interface: `WorkListService`
      Allow boolean to specify if we want offered or allocated items
      Specified by:
        `createWorkListView` in interface `WorkListService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`

    - #### editWorkListView

          public long editWorkListView(long workListViewID,
                                       java.lang.String name,
                                       java.lang.String description,
                                       java.lang.String customData,
                                       com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                       com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                       com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                       com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                       java.lang.String owner,
                                       boolean bPublic)
                                throws com.tibco.n2.brm.services.InternalServiceFault,
                                       com.tibco.n2.brm.services.SecurityFault,
                                       com.tibco.n2.brm.services.InvalidEntityFault,
                                       com.tibco.n2.brm.services.InvalidWorkViewFault,
                                       com.tibco.n2.brm.services.WorkItemOrderFault,
                                       com.tibco.n2.brm.services.WorkItemFilterFault

      Description copied from interface: `WorkListService`
      Edit an existing Work List View
      Specified by:
        `editWorkListView` in interface `WorkListService`
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`

    - #### editWorkListView

          public long editWorkListView(long workListViewID,
                                       java.lang.String name,
                                       java.lang.String description,
                                       java.lang.String customData,
                                       com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                       com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                       com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                       java.lang.String owner,
                                       boolean bPublic,
                                       com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)
                                throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                       com.tibco.n2.brm.services.InvalidEntityFault,
                                       com.tibco.n2.brm.services.WorkItemOrderFault,
                                       com.tibco.n2.brm.services.WorkItemFilterFault,
                                       com.tibco.n2.brm.services.SecurityFault,
                                       com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Edit an existing Work List View no entity is specified since the view is for ALL resources
      Specified by:
        `editWorkListView` in interface `WorkListService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### editWorkListView

          public long editWorkListView(long workListViewID,
                                       java.lang.String name,
                                       java.lang.String description,
                                       java.lang.String customData,
                                       com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                       com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                       com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                       com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                       java.lang.String owner,
                                       boolean bPublic,
                                       boolean getAllocated)
                                throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                       com.tibco.n2.brm.services.InvalidEntityFault,
                                       com.tibco.n2.brm.services.WorkItemOrderFault,
                                       com.tibco.n2.brm.services.WorkItemFilterFault,
                                       com.tibco.n2.brm.services.SecurityFault,
                                       com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      edit worklist to allow either offered or allocated items to be returned
      Specified by:
        `editWorkListView` in interface `WorkListService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### deleteWorkListView

          public long deleteWorkListView(long workListViewID)
                                  throws com.tibco.n2.brm.services.InternalServiceFault,
                                         com.tibco.n2.brm.services.SecurityFault,
                                         com.tibco.n2.brm.services.InvalidWorkViewFault

      Description copied from interface: `WorkListService`
      Delete an existing Work List View
      Specified by:
        `deleteWorkListView` in interface `WorkListService`
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidWorkViewFault`

    - #### getEditableWorkListViews

          public com.tibco.n2.brm.api.WorkListViewPageItem[] getEditableWorkListViews(long startPos,
                                                                                      long numberOfItems)
                                                                               throws com.tibco.n2.brm.services.InternalServiceFault,
                                                                                      com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      Get Editable Work List Views
      Specified by:
        `getEditableWorkListViews` in interface `WorkListService`
      Returns:
        com.tibco.n2.brm.api.GetEditableWorkListViewsResponseDocument.GetEditableWorkListViewsResponse
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### addCurrentResourceToView

          public long addCurrentResourceToView(long workListViewID)
                                        throws com.tibco.n2.brm.services.InternalServiceFault,
                                               com.tibco.n2.brm.services.SecurityFault,
                                               com.tibco.n2.brm.services.InvalidEntityFault,
                                               com.tibco.n2.brm.services.InvalidWorkViewFault

      Description copied from interface: `WorkListService`
      Add the current resource to a Work List View
      Specified by:
        `addCurrentResourceToView` in interface `WorkListService`
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InvalidWorkViewFault`

    - #### deleteCurrentResourceFromView

          public long deleteCurrentResourceFromView(long workListViewID)
                                             throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                    com.tibco.n2.brm.services.InternalServiceFault,
                                                    com.tibco.n2.brm.services.SecurityFault,
                                                    com.tibco.n2.brm.services.InvalidEntityFault

      Description copied from interface: `WorkListService`
      Delete the current resource from a Work List View
      Specified by:
        `deleteCurrentResourceFromView` in interface `WorkListService`
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`

    - #### getViewsForResource

          public com.tibco.n2.brm.api.WorkListViewPageItem[] getViewsForResource(long startPos,
                                                                                 long numberOfItems)
                                                                          throws com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Get the Work List View for the current resource
      Specified by:
        `getViewsForResource` in interface `WorkListService`
      Returns:
        com.tibco.n2.brm.api.WorkListViewPageItem[]
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getWorkListItemsForView

          public com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse getWorkListItemsForView(long workListViewID,
                                                                                                                                      long startPosition,
                                                                                                                                      long numberOfItems,
                                                                                                                                      boolean getTotalCount)
                                                                                                                               throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                                                                      com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                                      com.tibco.n2.brm.services.SecurityFault,
                                                                                                                                      com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                                      com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                                      com.tibco.n2.brm.services.WorkItemFilterFault

      Description copied from interface: `WorkListService`
      Get the Work List Items for a View
      Specified by:
        `getWorkListItemsForView` in interface `WorkListService`
      Returns:
        com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`

    - #### getWorkListViewDetails

          public com.tibco.n2.brm.api.WorkListView getWorkListViewDetails(long workListId,
                                                                          boolean lockView)
                                                                   throws com.tibco.n2.brm.services.InternalServiceFault,
                                                                          com.tibco.n2.brm.services.InvalidWorkViewFault,
                                                                          com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      Get the full details of an existing Work List View
      Specified by:
        `getWorkListViewDetails` in interface `WorkListService`
      Returns:
        com.tibco.n2.brm.api.WorkListView
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### unlockWorkListView

          public long unlockWorkListView(long workListViewID)
                                  throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                         com.tibco.n2.brm.services.SecurityFault,
                                         com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Unlock an existing Work List View
      Specified by:
        `unlockWorkListView` in interface `WorkListService`
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getPublicWorkListViews

          public com.tibco.n2.brm.api.WorkListViewPageItem[] getPublicWorkListViews(long startPosition,
                                                                                    long numberOfItems)
                                                                             throws com.tibco.n2.brm.services.SecurityFault,
                                                                                    com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Get Public Work List Views
      Specified by:
        `getPublicWorkListViews` in interface `WorkListService`
      Returns:
        com.tibco.n2.brm.api.GetPublicWorkListViewsResponseDocument.GetPublicWorkListViewsResponse
      Throws:
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### previewWorkItemFromList

          public com.tibco.n2.brm.api.WorkItemPreview[] previewWorkItemFromList(com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                                                                com.tibco.n2.brm.api.ObjectID[] workItemIDs,
                                                                                java.lang.String[] reqFields,
                                                                                boolean requireWorkType)
                                                                         throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                com.tibco.n2.brm.services.WorkItemFault,
                                                                                com.tibco.n2.brm.services.InvalidVersionFault,
                                                                                com.tibco.n2.brm.services.InternalServiceFault,
                                                                                com.tibco.n2.brm.services.SecurityFault,
                                                                                com.tibco.n2.brm.services.InvalidEntityFault

      Specified by:
        `previewWorkItemFromList` in interface `WorkListService`
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InvalidVersionFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`

    - #### getWorkListItemsForView

          public com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse getWorkListItemsForView(long workListViewID,
                                                                                                                                      long startPosition,
                                                                                                                                      long numberOfItems,
                                                                                                                                      boolean getTotalCount,
                                                                                                                                      boolean getAllocatedItems)
                                                                                                                               throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                                                                      com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                                      com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                                      com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                                      com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                                      com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      Get the Work List Items for a View
      Specified by:
        `getWorkListItemsForView` in interface `WorkListService`
        `getAllocatedItems` - If specified allows the caller to overide wether we are displaying allocated items or not in the view
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItemsForView

          public com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse getWorkListItemsForView(long workListViewID,
                                                                                                                                      long startPosition,
                                                                                                                                      long numberOfItems,
                                                                                                                                      boolean getTotalCount,
                                                                                                                                      boolean getAllocatedItems,
                                                                                                                                      boolean getEnhancedAttributes)
                                                                                                                               throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                                                                      com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                                      com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                                      com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                                      com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                                      com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      TODO Describe this method
      Specified by:
        `getWorkListItemsForView` in interface `WorkListService`
        `getEnhancedAttributes` - if set return attributes 15-40
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItemsForView

          public com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse getWorkListItemsForView(boolean getEnhancedAttributes,
                                                                                                                                      long workListViewID,
                                                                                                                                      long startPosition,
                                                                                                                                      long numberOfItems,
                                                                                                                                      boolean getTotalCount)
                                                                                                                               throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                                                                      com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                                      com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                                      com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                                      com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                                      com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      Get the Work List Items for a View
      Specified by:
        `getWorkListItemsForView` in interface `WorkListService`
      Returns:
        com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListViewDetails

          public com.tibco.n2.brm.api.WorkListView getWorkListViewDetails(long workListViewID,
                                                                          boolean lockView,
                                                                          int apiVersion)
                                                                   throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                                                          com.tibco.n2.brm.services.SecurityFault,
                                                                          com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Get the full details of an existing Work List View
      Specified by:
        `getWorkListViewDetails` in interface `WorkListService`
        `apiVersion` - 1 for existing functionality 2 to return extra info
      Returns:
        com.tibco.n2.brm.api.WorkListView
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getEditableWorkListViews

          public com.tibco.n2.brm.api.WorkListViewPageItem[] getEditableWorkListViews(long startPosition,
                                                                                      long numberOfItems,
                                                                                      int apiVersion)
                                                                               throws com.tibco.n2.brm.services.SecurityFault,
                                                                                      com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Get Editable Work List Views
      Specified by:
        `getEditableWorkListViews` in interface `WorkListService`
        `apiVersion` - 1 for existing functionality 2 to return extra info
      Returns:
      Throws:
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getPublicWorkListViews

          public com.tibco.n2.brm.api.WorkListViewPageItem[] getPublicWorkListViews(long startPosition,
                                                                                    long numberOfItems,
                                                                                    int apiVersion)
                                                                             throws com.tibco.n2.brm.services.SecurityFault,
                                                                                    com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Get Public Work List Views
      Specified by:
        `getPublicWorkListViews` in interface `WorkListService`
        `apiVersion` - 1 for existing functionality 2 to return extra info
      Returns:
        com.tibco.n2.brm.api.GetPublicWorkListViewsResponseDocument.GetPublicWorkListViewsResponse
      Throws:
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getViewsForResource

          public com.tibco.n2.brm.api.WorkListViewPageItem[] getViewsForResource(long startPosition,
                                                                                 long numberOfItems,
                                                                                 int apiVersion)
                                                                          throws com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkListService`
      Get the Work List View for the current resource
      Specified by:
        `getViewsForResource` in interface `WorkListService`
        `apiVersion` - 1 for existing functionality 2 to return extra info
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getWorkListItemsForGlobalData

          public com.tibco.n2.brm.api.GetWorkListItemsForGlobalDataResponseDocument.GetWorkListItemsForGlobalDataResponse getWorkListItemsForGlobalData(long startPosition,
                                                                                                                                                        long numberOfItems,
                                                                                                                                                        java.lang.String[] globalDataRef,
                                                                                                                                                        com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria)
                                                                                                                                                 throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                                                        com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                                                        com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                                                        com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                                                        com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkListService`
      TODO Describe this method
      Specified by:
        `getWorkListItemsForGlobalData` in interface `WorkListService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.